<?php

use Illuminate\Support\Facades\Route;
use Seka\Vzdelavanie\Http\Controllers\Api\Backend\Kniznica\SekciaController;

Route::prefix('/rest/vzdelavanie/sprava/kniznica/')
    ->middleware(['web', 'permission:vzdelavanie_kniznica'])
    ->group(function () {
        Route::apiResource('kategorie/{vzdKnzncKategoriaId}/ucebne-materialy/{vzdKnzncUcbnMtrlId}/sekcie', SekciaController::class)
            ->parameters([
                'sekcie' => 'vzdKnzncSekciaId',
            ])
            ->names([
                'update' => 'api.vzdelavanie.kniznica.sekcia.update',
                'destroy' => 'api.vzdelavanie.kniznica.sekcia.destroy',
            ])->only([
                'update',
                'destroy',
            ]);
    });
